<template>
  <div data-app>
    <v-dialog v-model="openDialog" max-width="500" max-height="315" data-cy="modal-delete" class="box-card">
      <v-card class="dialog-card">
        <div class="modal-header">
          <v-card-text>
            <div class="mt-5">
              <img src="@/assets/icon-alert.svg" alt="alert" data-cy="modal-delete-icon" />
            </div>
          </v-card-text>
        </div>
        <div class="modal-body">
          <v-card-text>
            <div data-cy="modal-delete-title">
              <p>
                Apakah anda yakin menghapus item <strong>"{{ dataDelete.title }}"</strong>?
              </p>
            </div>
          </v-card-text>
        </div>

        <div>
          <v-card-text>
            <v-row class="modal-footer">
              <div><v-btn color="#f4f4f4" class="btn-batal" @click="batal()" data-cy="modal-delete-cancel-button">Batal</v-btn></div>
              <div><v-btn color="#ed4c5c" class="btn-delete text-white" @click="onHapus()" data-cy="modal-delete-confirm-button">Hapus</v-btn></div>
            </v-row>
          </v-card-text>
        </div>
      </v-card>
    </v-dialog>
  </div>
</template>

<script>
import { mapActions } from "vuex";

export default {
  name: "DialogDelete",
  props: {
    dialogTutup: {
      type: Boolean,
      default: false,
    },
    dataDelete: {
      type: Object,
      default: () => {},
    },
  },
  data() {
    return {};
  },
  methods: {
    ...mapActions(["postDeleteTodo"]),
    batal() {
      this.$emit("update:dialogTutup", false);
    },
    onHapus() {
      this.postDeleteTodo(this.dataDelete);
      this.$emit("update:dialogTutup", false);
    },
  },
  computed: {
    openDialog: {
      get: function () {
        return this.dialogTutup;
      },
      set: function (newValue) {
        this.$emit("update:dialogTutup", newValue);
      },
    },
  },
};
</script>

<style lang="scss" scoped></style>
